Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class GeneratorContext

    java.lang.Object
      org.codehaus.groovy.classgen.GeneratorContext

    public class GeneratorContext
    extends Object

A context shared across generations of a class and its inner classes

Authors:
  James Strachan

Version:
  \$Revision: 21155 \$

Constructor Summary
`GeneratorContext(CompileUnit compileUnit)`

Method Summary
`CompileUnit` | `getCompileUnit()`
`String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
`int` | `getNextInnerClassIdx()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GeneratorContext

    public GeneratorContext(CompileUnit compileUnit)

Method Detail

### getCompileUnit

    public CompileUnit getCompileUnit()

### getNextClosureInnerName

    public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

### getNextInnerClassIdx

    public int getNextInnerClassIdx()

Copyright © 2003-2010 The Codehaus. All rights reserved.